summaryrefslogtreecommitdiffstats
path: root/source/a/isapnptools/isapnptools.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/isapnptools/isapnptools.SlackBuild
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to '')
-rwxr-xr-xsource/a/isapnptools/isapnptools.SlackBuild126
1 files changed, 76 insertions, 50 deletions
diff --git a/source/a/isapnptools/isapnptools.SlackBuild b/source/a/isapnptools/isapnptools.SlackBuild
index 38362878b..90db30eff 100755
--- a/source/a/isapnptools/isapnptools.SlackBuild
+++ b/source/a/isapnptools/isapnptools.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,69 +20,95 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-CWD=`pwd`
-TMP=/tmp
+PKGNAM=isapnptools
+VERSION=${VERSION:-1.27}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ echo "isapnptools is not supported on $ARCH"
+ exit 1
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
PKG=$TMP/package-isapnptools
+
rm -rf $PKG
-mkdir -p $PKG
+mkdir -p $TMP $PKG
+
cd $TMP
+rm -rf isapnptools-$VERSION
+tar xzvf $CWD/isapnptools-$VERSION.tar.gz || exit 1
+cd isapnptools-$VERSION || exit 1
-# sanity check
-if [ "$( uname -m )" = "x86_64" ]; then
- echo "isapnptools is not supported on x86_64"
- exit 1
-fi
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-VERSION=${VERSION:-1.26}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux || exit 1
-tar xzvf $CWD/isapnptools-$VERSION.tar.gz || exit 1
-cd isapnptools-$VERSION
+make $NUMJOBS || make || exit 1
-zcat $CWD/isapnptools_1.26-5.diff.xz | patch -p1 --verbose || exit 1
+strip src/isapnp src/pnpdump
+
+mkdir -p $PKG/sbin
+cat src/isapnp > $PKG/sbin/isapnp
+cat src/pnpdump > $PKG/sbin/pnpdump
+chmod 755 $PKG/sbin/*
-chown -R root:root .
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-
-./configure --prefix=/usr
-make -j4 || exit 1
-( cd src
- strip isapnp pnpdump
- mkdir -p $PKG/sbin
- cat isapnp > $PKG/sbin/isapnp
- cat pnpdump > $PKG/sbin/pnpdump
- chmod 755 $PKG/sbin/* )
mkdir -p $PKG/etc
-( cd etc
- mkdir -p $PKG/etc
- cat isapnp.conf > $PKG/etc/isapnp.conf.sample
- cat isapnp.gone > $PKG/etc/isapnp.gone.sample )
-( cd doc
- mkdir -p $PKG/usr/man/man5
- cat isapnp.conf.5 | gzip -9c > $PKG/usr/man/man5/isapnp.conf.5.gz
- mkdir -p $PKG/usr/man/man8
- cat isapnp.8 | gzip -9c > $PKG/usr/man/man8/isapnp.8.gz
- cat pnpdump.8 | gzip -9c > $PKG/usr/man/man8/pnpdump.8.gz )
+cat etc/isapnp.conf > $PKG/etc/isapnp.conf.sample
+cat etc/isapnp.gone > $PKG/etc/isapnp.gone.sample
+
+mkdir -p $PKG/usr/man/man5
+cat doc/isapnp.conf.5 | gzip -9c > $PKG/usr/man/man5/isapnp.conf.5.gz
+mkdir -p $PKG/usr/man/man8
+cat doc/isapnp.8 | gzip -9c > $PKG/usr/man/man8/isapnp.8.gz
+cat doc/pnpdump.8 | gzip -9c > $PKG/usr/man/man8/pnpdump.8.gz
+
mkdir -p $PKG/usr/doc/isapnptools-$VERSION
-cp -a AUTHORS CHANGES COPYING INSTALL README isapnp.lsm doc/isapnpfaq.txt doc/README.ide doc/README.initrd $PKG/usr/doc/isapnptools-$VERSION
+cp -a \
+ AUTHORS CHANGES COPYING INSTALL README isapnp.lsm doc/isapnpfaq.txt doc/README.ide doc/README.initrd \
+ $PKG/usr/doc/isapnptools-$VERSION
chown -R root:root $PKG/usr/doc/isapnptools-$VERSION
chmod 644 $PKG/usr/doc/isapnptools-$VERSION/*
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Build the package:
cd $PKG
-makepkg -c n -l y $TMP/isapnptools-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -c n -l y $TMP/isapnptools-$VERSION-$ARCH-$BUILD.txz